
D4Science Infrastructure - Task #12226

Nagios: remove replicaset checks from mongo-p-vol.d4science.org

Jul 24, 2018 10:10 AM - Roberto Cirillo

Status: Closed Start date: Jul 24, 2018

Priority: Low Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Nagios monitoring   

Infrastructure: Production   

Description

mongo-p-vol.d4science.org VM  hosts a standalone mongodb instance.

The replicaset nagios check are not compatible with this kind of instance. Could you remove these checks? 

Related issues:

Related to D4Science Infrastructure - Task #12215: Increase disk space on mon... Closed Jul 20, 2018

History

#1 - Jul 24, 2018 10:10 AM - Roberto Cirillo

- Related to Task #12215: Increase disk space on mongo-p-vol.d4science.org added

#2 - Jul 24, 2018 06:25 PM - Tommaso Piccioli

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

- % Done changed from 0 to 80

Specific nagios group created to check standalone mongodb implementation.

Waiting for a user "nagios" to run the authenticated checks

#3 - Jul 25, 2018 09:48 AM - Roberto Cirillo

- Status changed from New to In Progress

#8 - Jul 27, 2018 10:38 AM - Roberto Cirillo

- % Done changed from 80 to 100

As explained here #8788 the check is working now but when the authenication will be enabled with the new SCRAM-SHA1 mechanism, it will be

necessary to upgrade the pymongo tool used by nagios. For the moment, I'm going to close this ticket.

#9 - Jul 27, 2018 10:41 AM - Roberto Cirillo

- Status changed from In Progress to Closed
